Skip to main content
GET
/
rewards
/
stats
/
recipients
Get reward recipients
curl --request GET \
  --url https://{subdomain}.nudj.cx/api/v2/analytics/rewards/stats/recipients
{
  "data": [
    {
      "userId": "<string>",
      "name": "<string>",
      "email": "<string>",
      "profilePictureUrl": "<string>",
      "quantity": 123,
      "lastReceived": "<string>",
      "winningTickets": 123,
      "losingTickets": 123,
      "pendingTickets": 123,
      "entryStatus": "pending"
    }
  ],
  "totalCount": 123,
  "rewardType": "<string>",
  "drawDate": "<string>",
  "isDrawn": true,
  "distributionType": "<string>",
  "winningStats": {
    "totalWinners": 123,
    "winnersDistributed": 123,
    "winnersClaimed": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.nudj.cx/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

rewardId
string
required

The reward ID to get recipients for (MongoDB ObjectId)

startDate
string
endDate
string
skip
integer
default:0

Number of records to skip

Required range: x >= 0
limit
integer
default:10

Number of records to return (max 50)

Required range: 1 <= x <= 100
sortBy
enum<string>
default:lastReceived

Field to sort by

Available options:
name,
quantity,
lastReceived
sortOrder
enum<string>
default:desc

Sort order

Available options:
asc,
desc

Response

Successful response

data
object[]
required
totalCount
number
required
rewardType
string | null
required
drawDate
string | null
required
isDrawn
boolean
required
distributionType
string | null
required
winningStats
object
required